package com.oguerreiro.resilient.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import com.oguerreiro.resilient.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class VariableClassDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(VariableClassDTO.class);
        VariableClassDTO variableClassDTO1 = new VariableClassDTO();
        variableClassDTO1.setId(1L);
        VariableClassDTO variableClassDTO2 = new VariableClassDTO();
        assertThat(variableClassDTO1).isNotEqualTo(variableClassDTO2);
        variableClassDTO2.setId(variableClassDTO1.getId());
        assertThat(variableClassDTO1).isEqualTo(variableClassDTO2);
        variableClassDTO2.setId(2L);
        assertThat(variableClassDTO1).isNotEqualTo(variableClassDTO2);
        variableClassDTO1.setId(null);
        assertThat(variableClassDTO1).isNotEqualTo(variableClassDTO2);
    }
}
